Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452722 - Kernel panic on powernow-k8 on AMD Geode LX 800 (500 Mhz)
Summary: Kernel panic on powernow-k8 on AMD Geode LX 800 (500 Mhz)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: other
OS: Linux
low
urgent
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 16:23 UTC by Przemyslaw Maszenda
Modified: 2008-08-07 12:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-07 12:41:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
Full log of kernel load with panic, OOPS and crash (deleted)
2008-06-24 16:29 UTC, Przemyslaw Maszenda
no flags Details

Description Przemyslaw Maszenda 2008-06-24 16:23:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
I try to boot over pxe kernel-2.6.18-92.1.1.el5 and kernel-2.6.18-92 on SOEKRIS Net 5501 "communication computer" (http://www.soekris.com/net5501.htm). I try to boot it from CF (Compact Flash - installed on other computer). I get kernel panic during  start:

############################################################################
Linux version 2.6.18-92.1.1.el5 
(brewbuilder at hs20-bc1-7.build.redhat.com) (gcc v
ersion 4.1.2 20071124 (Red Hat 4.1.2-41)) #1 SMP Thu May 22 09:01:29 EDT 
2008
BIOS-provided physical RAM map:

[...]

TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Processor cpuid 5a2 not supported
BUG: unable to handle kernel NULL pointer dereference at virtual address 
0000000
0
  printing eip:
c041041c
*pde = 00000000
Oops: 0000 [#1]
SMP
last sysfs file:
Modules linked in:
CPU:    0
EIP:    0060:[<c041041c>]    Not tainted VLI
EFLAGS: 00010202   (2.6.18-92.1.1.el5 #1)
EIP is at powernowk8_init+0x5e/0x1c2
eax: 00000000   ebx: 00000000   ecx: 0000000e   edx: 00000020
esi: 00000000   edi: c06242c3   ebp: 00000000   esp: c147cfa0
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 1, ti=c147c000 task=c147daa0 task.ti=c147c000)
Stack: 00000000 c071bbe8 00000000 c06ec5a8 c06e7fd8 c0404dee 00000202 
c06ec42b
        00000000 00000000 00000000 00000000 00000000 00000000 c06ec42b 
00000000
        00000000 c0405c3b 00000000 00000000 00000000 00000000 00000000 
00000000
Call Trace:
  [<c06ec5a8>] init+0x17d/0x24a
  [<c0404dee>] ret_from_fork+0x6/0x1c
  [<c06ec42b>] init+0x0/0x24a
  [<c06ec42b>] init+0x0/0x24a
  [<c0405c3b>] kernel_thread_helper+0x7/0x10
  =======================
Code: 83 3d 20 41 67 c0 01 75 40 83 3d 84 d4 76 c0 00 75 37 b8 01 00 00 
00 bf c3
  42 62 c0 e8 0a 15 19 00 b9 0f 00 00 00 89 c6 49 78 08 <ac> ae 75 08 84 
c0 75 f5
  31 c0 eb 04 19 c0 0c 01 85 c0 75 0a c7
EIP: [<c041041c>] powernowk8_init+0x5e/0x1c2 SS:ESP 0068:c147cfa0
  <0>Kernel panic - not syncing: Fatal exception

############################################################################

I recompiled kernel from kernel-2.6.18-92.1.1.el5.src.rpm with changeing only one things:

original RHEL5.2 kernel config: "CONFIG-X86-POWERNOW_K8=y" 
modified RHEL5.2 kernel config "CONFIG-X86-POWERNOW_K8=m"
In result during boot powernow-k8 doesn't try to load and OS start and work perfect, but I prefer use RedHat kernel. If I load module powernow-k8.ko in recompiled kernel I get kernel panic and oops too, so I sure the problem is in interaction this module with CPU (bios?). The CPU is AMD Geode LX 800, 500 Mhz single chip processor with CS5536 companion chip. Please see details on http://www.soekris.com/net5501.htm










Version-Release number of selected component (if applicable):
kernel-2.6.18-92.1.1.el5 , kernel-2.6.18-92

How reproducible:
Always


Steps to Reproduce:
1. Get SOEKRIS net5501 "communication computer (small server, router) or other PC computer with AMD Geode LX CPU.
2. Insert SATA or PATA hdd or CF with installed RHEL5 with configured console kernel parameter in grub: kernel /vmlinuz-2.6.18-92.1.1.el5 ro root=/dev/VolGroup00/LogVol00 console=ttyS0,19200n8 or try boot RHEL5.2 kernel-2.6.18-92.1.1.el5.src.rpm over network via PXE
3. Try to boot

Actual Results:
I get kernel panic during  start:

############################################################################
Linux version 2.6.18-92.1.1.el5 
(brewbuilder at hs20-bc1-7.build.redhat.com) (gcc v
ersion 4.1.2 20071124 (Red Hat 4.1.2-41)) #1 SMP Thu May 22 09:01:29 EDT 
2008
BIOS-provided physical RAM map:

[...]

TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Processor cpuid 5a2 not supported
BUG: unable to handle kernel NULL pointer dereference at virtual address 
0000000
0
  printing eip:
c041041c
*pde = 00000000
Oops: 0000 [#1]
SMP
last sysfs file:
Modules linked in:
CPU:    0
EIP:    0060:[<c041041c>]    Not tainted VLI
EFLAGS: 00010202   (2.6.18-92.1.1.el5 #1)
EIP is at powernowk8_init+0x5e/0x1c2
eax: 00000000   ebx: 00000000   ecx: 0000000e   edx: 00000020
esi: 00000000   edi: c06242c3   ebp: 00000000   esp: c147cfa0
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 1, ti=c147c000 task=c147daa0 task.ti=c147c000)
Stack: 00000000 c071bbe8 00000000 c06ec5a8 c06e7fd8 c0404dee 00000202 
c06ec42b
        00000000 00000000 00000000 00000000 00000000 00000000 c06ec42b 
00000000
        00000000 c0405c3b 00000000 00000000 00000000 00000000 00000000 
00000000
Call Trace:
  [<c06ec5a8>] init+0x17d/0x24a
  [<c0404dee>] ret_from_fork+0x6/0x1c
  [<c06ec42b>] init+0x0/0x24a
  [<c06ec42b>] init+0x0/0x24a
  [<c0405c3b>] kernel_thread_helper+0x7/0x10
  =======================
Code: 83 3d 20 41 67 c0 01 75 40 83 3d 84 d4 76 c0 00 75 37 b8 01 00 00 
00 bf c3
  42 62 c0 e8 0a 15 19 00 b9 0f 00 00 00 89 c6 49 78 08 <ac> ae 75 08 84 
c0 75 f5
  31 c0 eb 04 19 c0 0c 01 85 c0 75 0a c7
EIP: [<c041041c>] powernowk8_init+0x5e/0x1c2 SS:ESP 0068:c147cfa0
  <0>Kernel panic - not syncing: Fatal exception

############################################################################

Expected Results:
Normal start of kernel and RHEL5.2 OS. I should get login prompt.

Additional info:
This CPU/computer boots with RHEL4.6 because RHEL4.6 has powernow-k8 in module, not in kernel itself.

Comment 1 Przemyslaw Maszenda 2008-06-24 16:29:06 UTC
Created attachment 310160 [details]
Full log of kernel load with panic, OOPS and crash

I try to boot over PXE. I get this same log when I boot locally from CF or HDD.

Comment 2 Prarit Bhargava 2008-06-26 12:16:43 UTC
Przemyslaw, does your system support DMI?

P.

Comment 3 Prarit Bhargava 2008-08-07 12:41:05 UTC
Closing -- in NEEDINFO for over a month and a half.

P.


Note You need to log in before you can comment on or make changes to this bug.